Skip to content

Set Shippo parcel details for this online transaction

Request

Security
APIKey
Path
transaction_idinteger, (int64)required
Headers
Trustap-Userstring

Required in client flows, where you make API calls on behalf of another Trustap user.

Bodyapplication/jsonrequired
distance_unitstring(basic.DistanceUnit)required
Enum:"in""cm"
Example:"cm"
heightnumber, (double)required
Example:10
lengthnumber, (double)required
Example:10
mass_unitstring(basic.MassUnit)required
Enum:"lb""kg"
Example:"kg"
shipment_datestringrequired

Date the shipment will be tendered to the carrier. Must be in the format 2014-01-18T00:35:03.463Z

Example:"2019-12-25T09:00:00Z"
weightnumber, (double)required
Example:10
widthnumber, (double)required
Example:10
POST
/api/v1/transactions/{transaction_id}/shippo_parcel_details
curl -i -X POST \
  -u '<API_KEY>:​' \
  'https://dev.stage.trustap.com/api/v1/transactions/{transaction_id}/shippo_parcel_details' \
  -H 'Content-Type: application/json' \
  -H 'Trustap-User: string' \
  -d '{
    "distance_unit": "cm",
    "height": 10,
    "length": 10,
    "mass_unit": "lb",
    "shipment_date": "2019-12-25T09:00:00Z",
    "weight": 10,
    "width": 10
  }'

Responses

OK

Bodyapplication/json
distance_unitstringrequired
heightnumber, (double)required
lengthnumber, (double)required
mass_unitstringrequired
shipment_datestringrequired
weightnumber, (double)required
widthnumber, (double)required
Response
{ "distance_unit": "string", "height": 0.1, "length": 0.1, "mass_unit": "string", "shipment_date": "string", "weight": 0.1, "width": 0.1 }